Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Complete API documentation and reference
Update a currency in a realm
cURL
curl --request PATCH \ --url https://api.drip.re/api/v1/realms/{realmId}/currencies/{currencyId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "emoji": "<string>", "customEmojiUrl": "<string>", "metadata": {}, "default": true } '
{ "id": "<string>", "name": "<string>", "realmId": "<string>", "emoji": "<string>", "customEmojiUrl": "<string>", "default": false, "metadata": {}, "scopes": [ "<string>" ], "archived": false, "archivedAt": "2023-11-07T05:31:56Z", "parentRealmId": "<string>", "parentRealmName": "<string>", "permissions": [ "<string>" ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }
API Key
^[0-9a-fA-F]{24}$
Default Response
Show child attributes
Was this page helpful?